Bug 1266107 - AD: Conditional jump or move depends on uninitialised value
Summary: AD: Conditional jump or move depends on uninitialised value
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-24 13:37 UTC by Jakub Hrozek
Modified: 2020-05-02 18:11 UTC (History)
11 users (show)

Fixed In Version: sssd-1.13.0-36.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 11:40:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 3846 None None None 2020-05-02 18:11:22 UTC
Red Hat Product Errata RHSA-2015:2355 normal SHIPPED_LIVE Low: sssd security, bug fix, and enhancement update 2015-11-19 10:27:42 UTC

Description Jakub Hrozek 2015-09-24 13:37:05 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/2805

SSSD crashed for me few times when I was executing AD related tests

{{{
==2923== Conditional jump or move depends on uninitialised value(s)
==2923==    at 0x13B61DFD: ad_subdomains_process (ad_subdomains.c:943)
==2923==    by 0x13B61DFD: ad_subdomains_get_slave_domain_done (ad_subdomains.c:1051)
==2923==    by 0x1461C974: generic_ext_search_handler.isra.3 (sdap_async.c:1662)
==2923==    by 0x1461E551: sdap_get_generic_op_finished (sdap_async.c:1546)
==2923==    by 0x1461D95C: sdap_process_message (sdap_async.c:352)
==2923==    by 0x1461D95C: sdap_process_result (sdap_async.c:196)
==2923==    by 0x89B722E: tevent_common_loop_timer_delay (tevent_timed.c:341)
==2923==    by 0x89B8239: epoll_event_loop_once (tevent_epoll.c:911)
==2923==    by 0x89B6936: std_event_loop_once (tevent_standard.c:114)
==2923==    by 0x89B30FC: _tevent_loop_once (tevent.c:533)
==2923==    by 0x89B329A: tevent_common_loop_wait (tevent.c:637)
==2923==    by 0x89B68D6: std_event_loop_wait (tevent_standard.c:140)
==2923==    by 0x5296822: server_loop (server.c:668)
==2923==    by 0x10ECC1: main (data_provider_be.c:3005)
}}}

There were changes in ad_subdomain code in commit ece345a74cec793e6d970a4955beb3d4a05935b3

Comment 2 Jakub Hrozek 2015-09-30 07:51:18 UTC
* master: 101628a48d25ffae3b13c75d0b0b01577188c803

Comment 5 errata-xmlrpc 2015-11-19 11:40:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2355.html


Note You need to log in before you can comment on or make changes to this bug.